@import "~assets/styles/common/mixins";

.input
    font-style: normal
    font-weight: 300
    font-size: 16px
    line-height: 1.5
    height: 36px
    width: 100%
    padding: 0 3px
    box-sizing: border-box
    border-top-left-radius: 2px
    border-top-right-radius: 2px
    outline: none

// На данный момент отключаем, согласовано с Артемом
//&:focus, &:active
  //@include component-field(#000, #D1DDED, 2px solid #009EE2)
  //box-sizing: border-box
  //box-shadow: 0 0 6px #08BDF1, inset 0px 4px 6px rgba(0, 0, 0, 0.1), inset 0 0 20px rgba(0, 0, 0, 0.4)

.input.default
    @include component-field(#fff, rgba(0, 0, 0, 0), none)
    border-bottom: 1px solid #4E76A1
    &::placeholder
        color: #fff

.input.white
    @include component-field(#7D818F, rgba(0, 0, 0, 0), none)
    border-bottom: 1px solid #7D818F
    font-size: 14px
    &::placeholder
        color: #7D818F

.input.main
    font-family: 'Exo 2'
    line-height: 21px
    color: #FFFFFF
    display: block
    border: none
    background: transparent
    padding: 15px 0 15px 12px
    border-bottom: 1px solid #4E76A1
    transition: all .2s ease
    height: 100%;
    &::placeholder
        color: #fff

    &:hover, &:focus
        border-bottom: 1px solid #ffffff00;
        background: rgba(0, 0, 0, 0.2);
        box-shadow: inset 0px 2px 2px rgba(0, 0, 0, 0.1);
        border-radius: 6px;

.default-margin-input
    margin-bottom: 30px
        
.error-message
    font-style: normal
    font-weight: 300
    font-size: 14px
    line-height: 18px
    text-align: center
    color: #FF9B9B